Bug 460892 - cowbell requires taglib-sharp to run
Summary: cowbell requires taglib-sharp to run
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cowbell
Version: 11
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Janssen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-09-02 12:50 UTC by Julian C. Dunn
Modified: 2010-02-16 19:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-16 19:12:21 UTC
Type: ---


Attachments (Terms of Use)

Description Julian C. Dunn 2008-09-02 12:50:35 UTC
Description of problem:

Cowbell requires taglib-sharp to run and this is not currently reflected in Requires:

Version-Release number of selected component (if applicable):

cowbell-0.svn34.4.2.fc9

How reproducible:

Always

Steps to Reproduce:
1. Install cowbell without having installed taglib-sharp manually
2. Try to run cowbell
3.
  
Actual results:

** (cowbell:29381): WARNING **: The following assembly referenced from /usr/lib/cowbell/Cowbell.Base.dll could not be loaded:
     Assembly:   taglib-sharp    (assemblyref_index=3)
     Version:    2.0.3.0
     Public Key: db62eba44689b5b0
The assembly was not found in the Global Assembly Cache, a path listed in the MONO_PATH environment variable, or in the location of the executing assembly (/usr/lib/cowbell).


** (cowbell:29381): WARNING **: Could not load file or assembly 'taglib-sharp, Version=2.0.3.0, Culture=neutral, PublicKeyToken=db62eba44689b5b0' or one of its dependencies.

Unhandled Exception: System.Reflection.ReflectionTypeLoadException: The classes in the module cannot be loaded.
  at (wrapper managed-to-native) System.Reflection.Assembly:GetTypes (bool)
  at System.Reflection.Assembly.GetTypes () [0x00000] in /builddir/build/BUILD/mono-1.9.1/mcs/class/corlib/System.Reflection/Assembly.cs:336 
  at Cowbell.Base.MetadataProxyService.Load () [0x00000] 
  at Cowbell.Base.ServiceManager.RegisterService (IService service) [0x00000] 
  at Cowbell.Gui.MainWindow.Main (System.String[] args) [0x00000] 

[1]+  Exit 1                  cowbell



Expected results:

cowbell starts properly.

Comment 1 Bug Zapper 2009-06-10 02:36:16 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Matt Hirsch 2009-07-06 05:58:18 UTC
This is still an issue in Fedora 11 with package cowbell-0.3-0.svn34.4.fc10.x86_64.

Comment 3 Bug Zapper 2009-07-14 17:19:37 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Matt Hirsch 2009-07-14 17:24:14 UTC
Please reopen this bug. As stated above this is still an issue in Fedora 11.

Comment 5 Jacob Church 2009-08-08 19:58:29 UTC
This is an issue with Fedora 10 and 11. I can confirm the issue with 10. Reopening bug.

Comment 6 Bug Zapper 2009-11-18 08:21:22 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Julian C. Dunn 2009-11-18 11:39:28 UTC
Changing to F11 as numerous people have reported this also broken there.

Comment 8 Thomas Janssen 2010-02-16 19:12:21 UTC
New maintainer here.
I dont have a F-11, but taglib-sharp gets installed with cowbell in F-12. It should install fine in F-11 as well, since the spec is updated to pull in taglib-sharp.
It does not in F-10 and it's to late to change anything there, since F-10 is EOL.

I will close the bug.


Note You need to log in before you can comment on or make changes to this bug.